Bug 66434 - Quanta: Please integrate an HTML source code formatter
Summary: Quanta: Please integrate an HTML source code formatter
Status: RESOLVED FIXED
Alias: None
Product: quanta
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: András Manţia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-23 05:11 UTC by Ben Burton
Modified: 2006-03-03 14:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Burton 2003-10-23 05:11:47 UTC
Version:            (using KDE KDE 3.1.4)
Installed from:    Debian testing/unstable Packages

Received through the Debian BTS (#198292).

I'd like to have an HTML source code formatter in the "Tools" menu. It should be wrapped by a little configuration dialog. A possible candidate is hindent.

Thanks!
Comment 1 András Manţia 2004-02-28 10:41:30 UTC
You can use any external source code formatter and even write a dialog for it 
in Kommander. If you came up with one for hindent, I'll include it in the 
Quanta distribution.

Comment 2 András Manţia 2004-11-13 20:43:35 UTC
I see 40 votes here. Issn't there anybody knowing a command line source formatter that we can suggest to the users?
Comment 3 werner 2005-12-04 12:02:12 UTC
I wrote a simple Kommander dialog together with a script-action for toolbar-integration of hindent. works well for me, though not tested for any misconfiguration (hindent missing etc.).
anyone interested feel free to contact me.
Comment 4 András Manţia 2006-03-03 14:11:47 UTC
See my last comment.